Bug 1418235 - `radosgw-admin zone create` command with specified zone-id creates a zone with different id
Summary: `radosgw-admin zone create` command with specified zone-id creates a zone wit...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 2.3
Assignee: Orit Wasserman
QA Contact: shilpa
Erin Donnelly
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1437916
TreeView+ depends on / blocked
 
Reported: 2017-02-01 11:02 UTC by Vimal Kumar
Modified: 2017-07-30 15:59 UTC (History)
10 users (show)

(edit)
."radosgw-admin zone create" no longer creates an incorrect zone ID

Previously, the `radosgw-admin zone create` command with a specified zone ID created a zone with a different zone ID. This bug has been fixed, and the command now creates a zone with the specified zone ID.
Clone Of:
(edit)
Last Closed: 2017-06-19 13:29:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1497 normal SHIPPED_LIVE Red Hat Ceph Storage 2.3 bug fix and enhancement update 2017-06-19 17:24:11 UTC
Ceph Project Bug Tracker 19498 None None None 2017-04-05 08:53 UTC

Comment 3 John Poelstra 2017-02-01 16:39:54 UTC
Believe this is NOTABUG or can be fixed in a future release

Comment 8 Orit Wasserman 2017-04-21 06:37:29 UTC
fix cherry-picked to ceph-2-rhel-patches

Comment 12 shilpa 2017-05-08 07:36:13 UTC
Verified on ceph-radosgw-10.2.7-13

Comment 17 errata-xmlrpc 2017-06-19 13:29:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1497


Note You need to log in before you can comment on or make changes to this bug.